"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const zod_1 = require("zod");
const types_1 = require("./RJSVM/framework/types");
const main_1 = require("./main");
const schemas_1 = require("./util/schemas");
const shoutSchema = zod_1.z.object({
    title: zod_1.z.string(),
    body: zod_1.z.string(),
    from: zod_1.z.string(),
    id: zod_1.z.optional(zod_1.z.string())
});
const tnsEntrySchema = zod_1.z.object({
    hash: schemas_1.xrp_transaction_hash_schema,
    name: zod_1.z.string(),
});
class RJSVM_Base extends types_1.RJSVM {
    owner = "rUsPfG1hn6w6is28p5FUDWdMwvCo1iHrYq";
    state = {
        shouts: []
    };
}
const RJSVM_Contract = {
    submit: {
        implementation: function (env, shout) {
            this.state.shouts.unshift(shout);
            console.log(shout);
        },
        visibility: 'public',
        fee: 10,
        parameterSchema: shoutSchema
    },
    restricted: {
        implementation: function (env, shout) {
            this.state.shouts.unshift(shout);
            console.log(shout);
        },
        visibility: 'owner',
        parameterSchema: shoutSchema
    },
    setTns: {
        implementation: function (env, tnsEntry) {
            console.log(tnsEntry);
        },
        visibility: 'public',
        parameterSchema: tnsEntrySchema,
    }
};
const Rjsvm = main_1.RJSVM_Builder.from(RJSVM_Base, RJSVM_Contract);
const conf = {
    listeningAddress: "rLaXUiYvW1EMns69PsAfwSLb2VgNtPpZwq",
    rippleNode: "wss://s.altnet.rippletest.net:51233"
};
const rjsvm = new Rjsvm(conf);
rjsvm.connect();
