import { Memo, Options } from '../util/types';
export declare class xrpIO {
    private server;
    private options;
    private api;
    constructor(server: string, options?: Options);
    connect(): Promise<void>;
    disconnect(): Promise<void>;
    private cloneApi;
    private sendPayment;
    writeRaw(data: Memo, to: string, secret: string, sequence?: number, amount?: string): Promise<string>;
    private getTransaction;
    readRaw(hash: string, verifyOwner?: string): Promise<Memo>;
    treeWrite(data: string, to: string, secret: string, format?: 'L' | 'N'): Promise<string>;
    treeRead(hashes: string[], verifyOwner?: string): Promise<string>;
    getAccountSequence(address: string): Promise<number>;
    estimateFee(data: string, denomination?: 'XRP' | 'DROPS', cost?: number): Promise<number>;
    xrpToDrops(xrp: number): number;
    dropsToXrp(drops: number): number;
    private dbg;
}
